Subject: RE: [manet] Internet-MANET gateways?

From: "Manfredi, Albert E" <[email-masked]>
Date: Fri, 13 Jun 2003 10:29:27 -0400

Manish Karir wrote:
> 
> Erik,
> 
> I think we differ in our assumptions, I assume that we have a 
> predefined 
> prefix that we use to allocate addresses to ad hoc nodes, you assume 
> that the ad hoc nodes can pick any address.
> Sure, you can assume that, but why does your assumption make any more 
> sense than mine, why would you consider it "more likely"?

Erik's assumption and yours are both possible in MANETs, and have both been discussed. I have always favored the flat address space concept Erik talks about, which ignores any hierarchical nature of IP addresses inside the MANET, because it is more generic, requires no infrastructure support, and does not care about any dynamic changes of topology in this MANET. Seems to me that if that approach can work, you know you can make a MANET work.

> Besides your assumption creates more problems than it solves.:)
> 
> I think the hard problem that has remained unsolved in MANETs 
> is address
> allocation/assignment.

This is a simple problem if you use the flat address space concept. Simply use a globally unique address assigned to each mobile host before it gets deployed anywhere. You know, whatever is assigned to that mobile host when it is "home," wherever home might be.

> I think the "more likely" case is the centralized address 
> distribution 
> during deployment.  The most scalable structure built to date the 
> Internet has followed this policy and I think that turned out 
> "okay". :)

Centralised address distribution during deployment right away places an administrative burden on the MANET that the flat address space approach doesn't.

To comminicate between a MANET host and the fixed Internet, you can use various schemes, one of which is Mobile IP. But there are others too, although these others might require the mobile host to initiate any session to a host outside the MANET.

Bert
_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet